com.independentsoft.exchange

## Enum CalendarPermissionReadAccess

- java.lang.Object
- - java.lang.Enum<CalendarPermissionReadAccess>
  - - com.independentsoft.exchange.CalendarPermissionReadAccess

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CalendarPermissionReadAccess>

      public enum CalendarPermissionReadAccess
      extends java.lang.Enum<CalendarPermissionReadAccess>

  Indicates whether a user has permission to read items within a Calendar folder.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULL_DETAILS` Indicates that the user has permission to view all items in the calendar, including free/busy time and subject, location, and details of appointments.
    `NONE` Indicates that the user does not have permission to view items in the calendar.
    `TIME_AND_SUBJECT_AND_LOCATION` Indicates that the user has permission to view free/busy time in the calendar and the subject and location of appointments.
    `TIME_ONLY` Indicates that the user has permission to view only free/busy time in the calendar.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CalendarPermissionReadAccess` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CalendarPermissionReadAccess[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TIME_ONLY

          public static final CalendarPermissionReadAccess TIME_ONLY

      Indicates that the user has permission to view only free/busy time in the calendar.

    - #### TIME_AND_SUBJECT_AND_LOCATION

          public static final CalendarPermissionReadAccess TIME_AND_SUBJECT_AND_LOCATION

      Indicates that the user has permission to view free/busy time in the calendar and the subject and location of appointments.

    - #### FULL_DETAILS

          public static final CalendarPermissionReadAccess FULL_DETAILS

      Indicates that the user has permission to view all items in the calendar, including free/busy time and subject, location, and details of appointments.

    - #### NONE

          public static final CalendarPermissionReadAccess NONE

      Indicates that the user does not have permission to view items in the calendar.

  - ### Method Detail

    - #### values

          public static CalendarPermissionReadAccess[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CalendarPermissionReadAccess c : CalendarPermissionReadAccess.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CalendarPermissionReadAccess valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null